ListAntennas
Returns a list of antennas at a specified ground station.
Request Syntax
GET /groundstation/groundStationId/antenna?maxResults=maxResults&nextToken=nextToken HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- groundStationId
-
ID of a ground station.
Length Constraints: Minimum length of 4. Maximum length of 97.
Pattern:
[ a-zA-Z0-9-._:=]{4,97}Required: Yes
- maxResults
-
Maximum number of antennas returned.
Valid Range: Minimum value of 1. Maximum value of 100.
- nextToken
-
Next token returned in the request of a previous
ListAntennascall. Used to get the next page of results.Length Constraints: Minimum length of 3. Maximum length of 1000.
Pattern:
[A-Za-z0-9-/+_.=]+
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"antennaList": [
{
"antennaName": "string",
"groundStationName": "string",
"region": "string"
}
],
"nextToken": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- antennaList
-
List of antennas.
Type: Array of AntennaListItem objects
Array Members: Minimum number of 0 items. Maximum number of 100 items.
- nextToken
-
Next token to be used in a subsequent
ListAntennascall to retrieve the next page of results.Type: String
Length Constraints: Minimum length of 3. Maximum length of 1000.
Pattern:
[A-Za-z0-9-/+_.=]+
Errors
For information about the errors that are common to all actions, see Common Error Types.
- DependencyException
-
Dependency encountered an error.
- parameterName
-
Name of the parameter that caused the exception.
HTTP Status Code: 531
- InvalidParameterException
-
One or more parameters are not valid.
- parameterName
-
Name of the invalid parameter.
HTTP Status Code: 431
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: